[PATCH 78/94] sys-kernel/rumpkernel: Fix installation libdir

Sam James <[email protected]>
Newsgroups gmane.linux.gentoo.devel
Message-ID <6fe5dd4ed6a1d4b9828ea3c641d614778888f487.1774994361.git.sam@gentoo.org>
From: Andreas K. Hüttel <[email protected]>

Signed-off-by: Andreas K. Hüttel <[email protected]>
Signed-off-by: Sam James <[email protected]>
---
 .../rumpkernel/rumpkernel-0_pre20250111_p6.ebuild      | 10 +++++-----
 sys-kernel/rumpkernel/rumpkernel-9999.ebuild           | 10 +++++-----
 2 files changed, 10 insertions(+), 10 deletions(-)

diff --git a/sys-kernel/rumpkernel/rumpkernel-0_pre20250111_p6.ebuild b/sys-kernel/rumpkernel/rumpkernel-0_pre20250111_p6.ebuild
index b718652864183..7f82d0491b07e 100644
--- a/sys-kernel/rumpkernel/rumpkernel-0_pre20250111_p6.ebuild
+++ b/sys-kernel/rumpkernel/rumpkernel-0_pre20250111_p6.ebuild
@@ -181,19 +181,19 @@ src_compile() {
 }
 
 src_install() {
-	dodir /usr/include /usr/lib
+	dodir /usr/include /usr/$(get_libdir)
 
 	# Install logic copied from Debian
 	cp -a "${S}"/buildrump.sh/src/sys/rump/include/rump "${ED}"/usr/include/ || die
 	# Kept "${S}"/buildrump.sh/src/obj separate here as may change to
 	# another builddir.
 	find "${S}"/buildrump.sh/src "${S}"/buildrump.sh/src/obj -type f,l \
-		-name "librump*.so*" -exec cp -a {} "${ED}"/usr/lib/ \; || die
+		-name "librump*.so*" -exec cp -a {} "${ED}"/usr/$(get_libdir)/ \; || die
 	find "${S}"/buildrump.sh/src "${S}"/buildrump.sh/src/obj -type f \
-		-name "librump*.a" -exec cp -a {} "${ED}"/usr/lib/ \; || die
+		-name "librump*.a" -exec cp -a {} "${ED}"/usr/$(get_libdir)/ \; || die
 
 	# rempve non lib files
-	rm -f "${ED}"/usr/lib/*.map || die
+	rm -f "${ED}"/usr/$(get_libdir)/*.map || die
 	#
-	rm -f "${ED}"/usr/lib/librumpkern_z.* || die
+	rm -f "${ED}"/usr/$(get_libdir)/librumpkern_z.* || die
 }
diff --git a/sys-kernel/rumpkernel/rumpkernel-9999.ebuild b/sys-kernel/rumpkernel/rumpkernel-9999.ebuild
index b718652864183..7f82d0491b07e 100644
--- a/sys-kernel/rumpkernel/rumpkernel-9999.ebuild
+++ b/sys-kernel/rumpkernel/rumpkernel-9999.ebuild
@@ -181,19 +181,19 @@ src_compile() {
 }
 
 src_install() {
-	dodir /usr/include /usr/lib
+	dodir /usr/include /usr/$(get_libdir)
 
 	# Install logic copied from Debian
 	cp -a "${S}"/buildrump.sh/src/sys/rump/include/rump "${ED}"/usr/include/ || die
 	# Kept "${S}"/buildrump.sh/src/obj separate here as may change to
 	# another builddir.
 	find "${S}"/buildrump.sh/src "${S}"/buildrump.sh/src/obj -type f,l \
-		-name "librump*.so*" -exec cp -a {} "${ED}"/usr/lib/ \; || die
+		-name "librump*.so*" -exec cp -a {} "${ED}"/usr/$(get_libdir)/ \; || die
 	find "${S}"/buildrump.sh/src "${S}"/buildrump.sh/src/obj -type f \
-		-name "librump*.a" -exec cp -a {} "${ED}"/usr/lib/ \; || die
+		-name "librump*.a" -exec cp -a {} "${ED}"/usr/$(get_libdir)/ \; || die
 
 	# rempve non lib files
-	rm -f "${ED}"/usr/lib/*.map || die
+	rm -f "${ED}"/usr/$(get_libdir)/*.map || die
 	#
-	rm -f "${ED}"/usr/lib/librumpkern_z.* || die
+	rm -f "${ED}"/usr/$(get_libdir)/librumpkern_z.* || die
 }
-- 
2.53.0
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.